{% load i18n %}


<ol class="breadcrumb">
    <li>{% trans "进出存报表" %}</li> 
    <li>{% trans "销售出库" %}</li> 
</ol>

<style>
    #tb tbody .r{
        font-weight:bold;
        color:red;
    }
</style>

<script type="text/javascript">
    $(document).ready(function(){    

        $('.datepicker').datepicker({dateFormat: 'yy-mm-dd'});
        $('.datepicker').datepicker('setDate',new Date());
        setDatePickerZh();    

        $('#product_label').autocomplete({
            source: function(request, response) {
                $.ajax({                    
                    url: '/inventory/os/autocomplete/{{cid}}/product/',                     
                    dataType: "json",
                    data: {
                        term:   $("#product_label").val() ,//搜索栏里的内容
                        //company_id:  $('#id_company').val() ,//额外参数
                    },
                    success: function(data) {
                        response(data);
                    }
                });
            },
            select: function (event, ui) {
                $("#product_id").val(ui.item.value);
                $("#product_label").val(ui.item.label);
                return false;
            }
        });
        $('#agent_label').autocomplete({
            source: function(request, response) {
                $.ajax({                    
                    url: '/inventory/os/autocomplete/{{cid}}/agent/',  
                    dataType: "json",
                    data: {
                        term:   $("#agent_label").val() ,//搜索栏里的内容
                        //company_id:  $('#id_company').val() ,//额外参数
                    },
                    success: function(data) {
                        response(data);
                    }
                });
            },
            select: function (event, ui) {
                $("#agent_id").val(ui.item.value);
                $("#agent_label").val(ui.item.label);
                return false;
            }
        });        

        $('.btn-qry').click(function(){           
            var product_id='',agent_id='',code='';               
            if (!$.isEmpty($('#product_id').val()) && !$.isEmpty($('#product_label').val())){
                product_id=$('#product_id').val();
            };
            if (!$.isEmpty($('#agent_id').val()) && !$.isEmpty($('#agent_label').val())){
                agent_id=$('#agent_id').val();
            };
            if (!$.isEmpty($('#code').val())){
                code=$('#code').val();
            };     

            date_fr=$('#dt_fr').val();
            date_to=$('#dt_to').val();
            
            var params=[];
           
            if(product_id!=''){
                params.push('product_id='+product_id);
                params.push('product_label='+$('#product_label').val());
            };
            if(agent_id!=''){
                params.push('agent_id='+agent_id);
                params.push('agent_label='+$('#agent_label').val());
            };
            if(code!=''){
                params.push('code='+code);               
            };

            
            if(date_fr!=''){params.push('date_fr='+date_fr)};
            if(date_to!=''){params.push('date_to='+date_to)};

            if(params.length==0){
                bootbox.alert("{% trans '请先输入查询条件！'%}");
            }else{
                $.RefreshContent('{{request.path}}?'+params.join('&'));
            }
        });

        {% ifnotequal params.dt_fr '' %}
            $('#dt_fr').val('{{params.dt_fr}}');
        {% endifnotequal  %}
        {% ifnotequal params.dt_to '' %}
            $('#dt_to').val('{{params.dt_to}}');
        {% endifnotequal  %}
       
        {% ifnotequal params.product_id '' %}
            $('#product_id').val('{{params.product_id}}');
            $("#product_label").val('{{params.product_label}}');
        {% endifnotequal  %}

         {% ifnotequal params.agent_id '' %}
            $('#agent_id').val('{{params.agent_id}}');
            $("#agent_label").val('{{params.agent_label}}');
        {% endifnotequal  %}
       
        var table=$('#tb').DataTable({
            //"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
            //"bLengthChange":true,
            dom: 'Bfrtip',
            autoWidth: true,
            buttons: [{extend:'excelHtml5',text:'导出到Excel'}],           
            language:lng,           
            data:{{data}}
        });           
        
        
        table.columns().every( function () {                        
            var that = this;             
            $('input', this.footer() ).on( 'keyup change clear', function () {
                if ( that.search() !== this.value ) {
                    that.search( this.value ).draw();
                }
            });
        });  
        

        $('#tb').on("click","td a",function(event){
            $(event.target.parentNode).addClass('row_selected');
             event.preventDefault();
             $.OpenDlg($(this).attr('href'),'订单{{voucher.name}}-明细列表',1000,700);
        });   


    });
</script>

<form role="form"  class="form-inline" style="margin-top:0px;">
    <div class="col-sm-2 input-group">
        <span class="input-group-addon">{% trans "开始日期"%}</span>
        <input class="datepicker form-control" id="dt_fr" />
    </div>
    <div class="col-sm-2 input-group">
        <span class="input-group-addon">{% trans "结束日期"%}</span>
        <input class="datepicker form-control" id="dt_to" />
    </div>
    
    {% ifequal user.company.level_id 1 %}
        <div class="col-sm-2 input-group">        
            <input class="form-control" id="agent_label"   placeholder='所有经销商' />
            <input type='hidden' id='agent_id' />
        </div>  
        <div class="col-sm-2 input-group">        
            <input class="form-control" id="product_label"   placeholder='所有产品' />
            <input type='hidden' id='product_id' />
        </div>             
    {% endifequal %}


    <div style="float:right;">
        <span class='input-group-btn'>
            <a type="button" class='btn btn-primary btn-qry'>
                <span class='glyphicon glyphicon-search' style='padding-right:5px;'></span>{% trans '查找' %}
            </a>
        </span>
        
    </div>
</form>
<div class="clearfix"></div>
<div id="inventory-list" class="table-responsive">       
    <table id="tb" class="table table-striped table-bordered" style="width:100%" >
        <thead>
            {% for c in clmns %}
                <th>{{c}}</th>
            {% endfor %}                       
        </thead>
        <tbody></tbody>
        <tfoot>
            {% for c in clmns %}
                <th><input type="text" placeholder="{{c}}"></th>
            {% endfor %}
        </tfoot>
    </table>       
</div>
